Skip to content

Step 7 - Create property settings

Use the Property API to add property settings such as invoice address, supported payment types and other details.

Prerequisites

You must have completed step 2 and have the property ID.

Adding property settings

POST
https://supply-xml.booking.com/property-api/properties/{propertyID}/settings

Path parameters

The following table describes the elements you must specify in the path:

ElementDescriptionTypeRequired/
Optional
Notes
propertyIDSpecifies the unique ID of the property.integerrequired

Request body parameters

The following table describes the elements you can add in the request body:

ElementDescription
> property_settings[Optional] Contains multiple settings related to the property.
>>pricing_type[Optional] Specifies the property's pricing type. Can be Standard, LOS or OBP. For more information, see pricing types.
Default: Standard
> accepted_payment_types[Optional] Contains settings related to payment methods.
>> codesSpecifies the list of supported payment methods. For a full list of payment codes, see Booking.com Payment Type Codes.
> invoice_settings[Optional] Specifies the details of the company that owns/manages the property. You need to set up these details, if you want the property to go Open/Bookable.
>> legal_name[Optional] Specifies the legal name of the company.
>> contact_person[Optional] Specifies the full name of the contact person.
>> address[Optional] Specifies the company address.
>> country_code[Optional] Specifies the country Code. Should be valid ISO code.
>> city[Optional] Specifies the city name.
>> postal_code[Optional] Specifies the postal/Zip code.
>> state[Optional] Specifies the state.
>> notification_channel[Optional] Specifies the channel that the company prefers to be notified for invoice related information. Can be one of: POSTAL_MAIL or EMAIL.

Request body example

The following is a request body example:

{
  "property_settings": {
    "pricing_type": "LOS"    
   },
   "accepted_payment_types": {
    "codes": [
      1,
      2,
      55
    ]
  },  
    "invoice_settings": {
        "legal_name": "Jasmine Luo",
        "contact_person": "Emma L",
        "address": "79, Park Avenue",
        "country_code": "JP",
        "city": "Osaka",
        "postal_code": "598-0046",
        "notification_channel": "POSTAL_MAIL"  
    }
}

Response body example

The following is a successful response body example:

{
    "data": {
        "property_settings": {
            "success": true
        },
        "accepted_payment_types": {
            "success": true
        },
        "invoice_settings": {
            "success": true
        }
    },
    "warnings": [],
    "errors": [],
    "meta": {
        "ruid": "XXXXXXXXXXXXXXXXXXXXXXXXX"
    }
}